| Home | Libraries | People | FAQ | More

## Function template reverse_copy

boost::compute::reverse_copy

## Synopsis

    // In header: <boost/compute/algorithm/reverse_copy.hpp>

    template<typename InputIterator, typename OutputIterator>
      OutputIterator
      reverse_copy(InputIterator first, InputIterator last, OutputIterator result,
                   command_queue & queue = system::default_queue());

## Description

Copies the elements in the range [`first`, `last`) in reversed order to the range beginning at `result`.

Space complexity: \Omega(1)

See Also: reverse()